%global realname riak_kv
%global upstream basho
%global debug_package %{nil}
%global git_tag eb24ff9
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.3.1
Release:	1%{?dist}
Summary:	Riak Key/Value Store
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_kv
# wget --content-disposition https://github.com/basho/riak_kv/tarball/1.3.1
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
# Fedora/EPEL specific patch
Patch1:		erlang-riak_kv-0001-Use-system-wide-mochijson2.patch
# Will be proposed for inclusion to upstream
Patch2:		erlang-riak_kv-0002-Guard-eunit-include-to-prevent-automatic-dependency-.patch
# https://github.com/basho/riak_kv/pull/469
Patch3:		erlang-riak_kv-0003-use-tuple-modules-instead-of-parameterized-modules.patch
# Fedora/EPEL specific patch
Patch4:		erlang-riak_kv-0004-Don-t-fail-on-warnings.patch
# Fedora/EPEL specific patch
Patch5:		erlang-riak_kv-0005-Relax-dependency-checks.patch
# Backported from upstream
Patch6:		erlang-riak_kv-0006-Move-setting-bucket-properties-to-riak_api-see-basho.patch
# Fedora/EPEL specific patch
Patch7:		erlang-riak_kv-0007-Fix-module-loading-order-for-tests.patch
# Backported from upstream
Patch8:		erlang-riak_kv-0008-migrate-mapred_test-to-riak_test.patch
BuildRequires:	erlang-bitcask >= 1.6.0
BuildRequires:	erlang-ebloom >= 1.1.2
BuildRequires:	erlang-eleveldb >= 1.3.0
BuildRequires:	erlang-eper >= 0.60
BuildRequires:	erlang-js >= 1.2.2
BuildRequires:	erlang-merge_index >= 1.3.0
BuildRequires:	erlang-os_mon
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_api >= 1.3.1
BuildRequires:	erlang-riak_core >= 1.3.1
BuildRequires:	erlang-riak_pipe >= 1.3.1
BuildRequires:	erlang-sext >= 1.1
# Error:erlang(dtrace:init/0)
Requires: erlang-bitcask%{?_isa}
Requires: erlang-cluster_info%{?_isa}
Requires: erlang-crypto%{?_isa}
Requires: erlang-eleveldb%{?_isa}
Requires: erlang-erts%{?_isa}
Requires: erlang-eunit%{?_isa}
Requires: erlang-folsom%{?_isa}
Requires: erlang-inets%{?_isa}
Requires: erlang-js%{?_isa}
Requires: erlang-kernel%{?_isa}
Requires: erlang-lager%{?_isa}
Requires: erlang-mochiweb%{?_isa}
Requires: erlang-os_mon%{?_isa}
Requires: erlang-riak_api%{?_isa}
Requires: erlang-riak_core%{?_isa}
Requires: erlang-riak_pb%{?_isa}
Requires: erlang-riak_pipe%{?_isa}
Requires: erlang-runtime_tools%{?_isa}
Requires: erlang-sext%{?_isa}
Requires: erlang-stdlib%{?_isa}
Requires: erlang-webmachine%{?_isa}


%description
Riak Key/Value Store.


%prep
%setup -q -n %{upstream}-%{realname}-7e90693
%patch1 -p1 -b .systemwide_mochijson2
%patch2 -p1 -b .noeunit
%patch3 -p1 -b .r16
%patch4 -p1 -b .dont_fail_on_warn
%patch5 -p1 -b .relax_deps
%patch6 -p1 -b .fix_pb
%patch7 -p1 -b .fix_order
%patch8 -p1 -b .remove_problematic_fragile_test_suite
# remove bundled rebar copy - just to be absolutely sure
rm -f ./rebar


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 0644 src/riak_kv_wm_raw.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 0755 priv/mapred_builtins.js %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
# Clean up beam-files to suppress lots of warnings
#rm -f ebin/*.beam
# Several tests requires epmd to run
epmd -daemon
rebar eunit skip_deps=true -v || true
epmd -kill



%files
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/mapred_builtins.js


%changelog
* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-1
- Ver. 1.3.1

* Mon Mar 11 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Ver. 1.3.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3.p3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2.p3
- Ver. 1.2.1p3

* Sat Oct 27 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1.p2
- Ver. 1.2.1p2

* Sun Aug 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.4-1
- Ver. 1.1.4 (security bugfix)

* Tue Jun 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Sat Feb 26 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.1-1
- Ver. 0.14.1

* Sun Jan 23 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.0-1
- Ver. 0.14.0

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.13.0-1
- Initial build

